main.floors.MT43=
{
    "floorId": "MT43",
    "title": "魔塔 第43层",
    "name": "第 43 层",
    "width": 13,
    "height": 13,
    "map": [
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1],
    [  1, 88,  0,246,  0, 81,  0,204, 81, 81,  0,  0,  1],
    [  1,  0,  0,  1,330,  1,  0,  1,  1,  0,  1,  0,  1],
    [  1,  0,  0, 81,  0,  1,228,  1,  0,  0,  1,  0,  1],
    [  1, 82,  1, 42,  0,228,  0,  1,220,  1,  1,  0,  1],
    [  1,  0,  1,  0,  0,  1,  1,  1,  1,  1,204, 81,  1],
    [  1,  0,  1, 81,  1,  1, 32,  0, 81,  0,  0,  0,  1],
    [  1, 31,  1,219,  0,  0,  0,204,  1,  0,  0,  0,  1],
    [  1, 81, 21,  1,  1,  1,  1,  1,  1,  0,  1,  0,  1],
    [  1,  0,  1,  1,  1,  0,228,  0, 32,  1,207, 81,  1],
    [  1,  0,207,  1, 81,  1,  1,  0, 32,  0,  0,  0,  1],
    [  1, 22,  0,  1,  1,  0, 82,  0, 32,  0,  0, 87,  1],
    [  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1,  1]
],
    "canFlyTo": true,
    "canFlyFrom": true,
    "canUseQuickShop": true,
    "images": [],
    "ratio": 5,
    "defaultGround": "ground",
    "bgm": "section5.mp3",
    "firstArrive": [],
    "eachArrive": [],
    "parallelDo": "",
    "events": {
        "3,1": {
            "trigger": "action",
            "enable": true,
            "noPass": null,
            "displayDamage": true,
            "opacity": 1,
            "filter": {
                "blur": 0,
                "hue": 0,
                "grayscale": 0,
                "invert": false,
                "shadow": 0
            },
            "data": [
                {
                    "type": "if",
                    "condition": "((status:direction=='right' )&&( flag:43==0))",
                    "true": [
                        {
                            "type": "playSound",
                            "name": "door.mp3"
                        },
                        {
                            "type": "closeDoor",
                            "id": "yellowWall",
                            "loc": [
                                5,
                                1
                            ],
                            "async": true
                        },
                        {
                            "type": "move",
                            "loc": [
                                3,
                                1
                            ],
                            "time": 200,
                            "keep": true,
                            "steps": [
                                "right:2"
                            ]
                        },
                        {
                            "type": "waitAsync"
                        },
                        {
                            "type": "playSound",
                            "name": "door.mp3"
                        },
                        {
                            "type": "closeDoor",
                            "id": "yellowWall",
                            "loc": [
                                2,
                                1
                            ]
                        },
                        {
                            "type": "hide",
                            "time": 0
                        }
                    ],
                    "false": [
                        {
                            "type": "battle",
                            "loc": [
                                3,
                                1
                            ]
                        },
                        {
                            "type": "hide",
                            "loc": [
                                [
                                    3,
                                    1
                                ]
                            ],
                            "time": 0
                        }
                    ]
                }
            ]
        }
    },
    "changeFloor": {
        "1,1": {
            "floorId": ":before",
            "stair": "upFloor",
            "time": 0
        },
        "11,11": {
            "floorId": "MT45",
            "stair": "downFloor",
            "time": 0
        }
    },
    "afterBattle": {
        "5,4": [
            {
                "type": "setValue",
                "name": "flag:43",
                "value": "1"
            }
        ]
    },
    "afterGetItem": {},
    "afterOpenDoor": {},
    "cannotMove": {},
    "fgmap": [

],
    "bgmap": [
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 17],
    [ 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17, 17]
],
    "upFloor": [
        11,
        10
    ],
    "downFloor": [
        1,
        2
    ],
    "autoEvent": {},
    "beforeBattle": {},
    "cannotMoveIn": {}
}